Bug 160697 - Problem with ATI Rage 128
Problem with ATI Rage 128
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-16 14:19 EDT by Joel Daynes
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-23 12:41:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 3601 None None None Never

  None (edit)
Description Joel Daynes 2005-06-16 14:19:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
I'm having some problems with getting X to start on a PowerMac G4 with an ATI Rage 128 video card with 16MB Video RAM... sometimes on boot, I get "aty128fb: Invalid ROM signature 1111 should be 0xaa55" and it hangs, and sometimes it gets the error, but is able to get past it, but then X can't start, with an error of (EE) R128(0): Cannot read V_BIOS (5) and then  (EE) R128(0): No DFP detected.

/etc/xorg.conf has the video card configured thusly:
Section "Device"
     Identifier  "Videocard0"
     Driver    "r128"
     VendorName  "Videocard vendor"
     BoardName  "ATI Rage 128"
EndSection

Joel

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start FC4 in runlevel 5 or issue init 5 command


Actual Results:  Either the system hangs with the Invalid ROM signature error or it boots but X fails to start.

Expected Results:  The system should boot cleanly and X should start properly.

Additional info:
Comment 1 Joel Daynes 2005-06-16 16:20:38 EDT
Here is the output from lspci:

[root@gordon ~]# lspci
00:0b.0 Host bridge: Apple Computer Inc. UniNorth AGP
00:10.0 VGA compatible controller: ATI Technologies Inc Rage 128 PF/PRO AGP 4x TMDS
0001:10:0b.0 Host bridge: Apple Computer Inc. UniNorth PCI
0001:10:0d.0 PCI bridge: Digital Equipment Corporation DECchip 21154 (rev 05)
0001:11:07.0 Class ff00: Apple Computer Inc. KeyLargo Mac I/O (rev 02)
0001:11:08.0 USB Controller: Apple Computer Inc. KeyLargo USB
0001:11:09.0 USB Controller: Apple Computer Inc. KeyLargo USB
0001:11:0a.0 FireWire (IEEE 1394): Texas Instruments TSB12LV23 IEEE-1394 Controller
0002:21:0b.0 Host bridge: Apple Computer Inc. UniNorth Internal PCI
0002:21:0f.0 Ethernet controller: Apple Computer Inc. UniNorth GMAC (Sun GEM)
(rev 01)
Comment 2 Mike A. Harris 2005-06-22 17:42:45 EDT
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO", awaiting X.Org bug URL for tracking.
Comment 3 Joel Daynes 2005-06-22 18:30:26 EDT
I have posted this to X.Org as bug 3601 as you suggested:

https://bugs.freedesktop.org/show_bug.cgi?id=3601

However, there still is the problem with the fact that I always get "aty128fb:
Invalid ROM signature 1111 should be 0xaa55" on boot, and sometimes it can't get
past this point at all, to say nothing about booting the kernel and getting to X...

Thanks-
Joel
Comment 4 Mike A. Harris 2005-06-23 12:41:21 EDT
(In reply to comment #3)
> I have posted this to X.Org as bug 3601 as you suggested:
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=3601

Thanks for reporting the issue to the Xorg developers.  Once they've fixed
the problem, we will review their fixes for consideration in a future update.

> However, there still is the problem with the fact that I always get "aty128fb:
> Invalid ROM signature 1111 should be 0xaa55" on boot, and sometimes it can't
> get past this point at all, to say nothing about booting the kernel and
> getting to X...

This could be a bad BIOS on the card, which is what the message is implying.

If you're having kernel problems, you should also report a bug against the
kernel component.

Hope this helps.


Setting status to "UPSTREAM" for tracking.

Note You need to log in before you can comment on or make changes to this bug.